/*  protos.h -- function prototypes for TopoVista  */

/* address.c */
void leftChild(TriIndex *t, TriIndex *lt);
void rightChild(TriIndex *t, TriIndex *rt);
void nbr1(Hier *hp, TriIndex *t, TriIndex *n1);
void nbr2(Hier *hp, TriIndex *t, TriIndex *n2);
void nbr3(Hier *hp, TriIndex *t, TriIndex *n3);
int init_ntriabove(int depth);
void getVerts(TriIndex *t, Coord2d p1, Coord2d p2, Coord2d p3);

/* color.c */
void initColors(void);

/* control.c */
void openCtlWin(void);
void keyfunc(unsigned char key, int x, int y);
void specfunc(int, int x, int y);

/* dem.c */
/*(see dem.h)*/

/* emit.c */
void emitSurface(Hier *hp, int type);

/* eps.c */
void outputEPS(int doSort, char *filename);

/* infov.c */
int inROD(Coord2d p1, Coord2d p2, Coord2d p3);
int triInFOV(TriIndex *t);

/* main.c */
 
/* overhead.c */
void openOvhWin(void);
void refreshOvh(void);
void mouseto(int btn, int x, int y);


/* pnmops.c */
/*(see pnmops.h)*/

/* print.c */
void printRTIN(Hier *hp);
void printCoord(Coord2d p);

/* split.c */
void split(Hier *hp, TriIndex *t);

/* surface.c */
void errSurface(Hier *hp);

/* trans.c */
/*(see basic.h)*/

/* tri.c */
Hier *initHier(void);
void midpoint(Coord2d p1, Coord2d p2, Coord2d m);

/* utils.c */
/*(see basic.h)*/

/* view.c */
int zval(int x, int y);
void openPspWin(void);
void buildSurface(void);
void viewChanged(void);
void renderPsp(void);

